> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryv1beta1 customscripts

> Lists all custom scripts.



## OpenAPI

````yaml /openapis/library.json get /library/v1beta1/{libId}/customScripts
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v1beta1/{libId}/customScripts:
    get:
      tags:
        - library
      description: Lists all custom scripts.
      operationId: library:v1beta1.CustomScripts.list
      parameters:
        - $ref: '#/components/parameters/libId_path_parameter'
        - name: includePredefinedScripts
          in: query
          description: 'Whether to include predefined read-only scripts. (Default: false)'
          required: false
          schema:
            type: boolean
            default: false
        - name: types
          in: query
          description: 'The types to filter on (Optional - Default : no filter)'
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - RELATION_FILTER
                - RELATION_RENDER
                - UPDATE
                - VIEWER
                - WORKFLOW_TRANSITION
                - REMINDER_CONDITION
        - name: limit
          in: query
          description: 'The maximum number of custom scripts per page. (Default: 50)'
          required: false
          schema:
            type: integer
            format: int32
            default: 50
        - name: nextPageToken
          in: query
          description: DEPRECATED. Use pageToken instead.
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/pageToken_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiCustomScriptList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCustomScriptList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libId_path_parameter:
      name: libId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    pageToken_query_parameter:
      name: pageToken
      in: query
      description: >-
        The token for continuing a previous list request on the next page. This
        should be set to the value of 'nextPageToken' from the previous
        response.
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiCustomScriptList:
      type: object
      properties:
        count:
          type: integer
          format: int32
        customScripts:
          type: array
          items:
            $ref: '#/components/schemas/ApiCustomScript'
        kind:
          type: string
        nextPageToken:
          type: string
    ApiCustomScript:
      type: object
      properties:
        async:
          type: boolean
          description: >-
            Whether the script will be executed as an asynchronous task (JAVA
            only - Default: false)
        code:
          type: object
          description: The script code by method/function identifier
          additionalProperties:
            type: string
        createdTime:
          type: string
          format: date-time
          description: The time at which the custom script was created (read-only field)
        id:
          type: string
          description: The ID of the custom script (read-only field)
        imports:
          type: array
          description: The full list of imports used in the script (JAVA only)
          items:
            type: string
        kind:
          type: string
        language:
          type: string
          description: >-
            The language of the script which depends on the type (read-only
            field)
          enum:
            - JAVA
            - JAVASCRIPT
        lastModifiedTime:
          type: string
          format: date-time
          description: >-
            The last time the custom script was modified by anyone (read-only
            field)
        libraryId:
          type: string
          description: The ID of the library (read-only field)
        name:
          type: string
          description: The name of the custom script
        parameters:
          type: array
          description: The list of arbitrary parameters that can be used in the script code
          items:
            $ref: '#/components/schemas/ApiCustomScriptParameter'
        predefined:
          type: boolean
          description: >-
            Whether the script is a predefined read-only script - (read-only
            field)
        runAs:
          type: string
          description: >-
            The permission context in which the script will be executed (JAVA
            only - Possible values: RUN_AS_SYSTEM, RUN_AS_USER - Default:
            RUN_AS_USER)
          enum:
            - RUN_AS_SYSTEM
            - RUN_AS_USER
        type:
          type: string
          description: >-
            The type of the script, set during creation (Possible values:
            RELATION_FILTER, RELATION_RENDER, UPDATE, VIEWER,
            WORKFLOW_TRANSITION, REMINDER_CONDITION). Affects available methods.
          enum:
            - RELATION_FILTER
            - RELATION_RENDER
            - UPDATE
            - VIEWER
            - WORKFLOW_TRANSITION
            - REMINDER_CONDITION
    ApiCustomScriptParameter:
      type: object
      properties:
        defaultValue:
          type: string
          description: The parameter default value (null for mandatory parameters)
        description:
          type: string
          description: Description of the parameter (usage, expected input, etc.)
        forcedValueForExistingBindings:
          type: string
          description: >-
            The mandatory parameter value to be injected to existing bindings if
            any (write-only)
        name:
          type: string
          description: The parameter name (mandatory)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````